package com.red.circle.other.app.service.user.relation;


import com.red.circle.other.app.dto.cmd.user.relation.cp.UserCpLightCmd;

import java.util.Map;

/**
 * CP点亮相关
 * @author zongpubin on 2023/11/16
 */
public interface UserCpLightService {

  Boolean getCpLight(UserCpLightCmd cmd);

  Map<String, Boolean> getCpLightMap(UserCpLightCmd cmd);

  void lightCpUser(UserCpLightCmd cmd);

  void cancelCpUser(UserCpLightCmd cmd);
}
